Name:           python-dotref
Version:        1.2.4
Release:        %autorelease
Summary:        Simple tool to manage dotfiles

License:        MIT
URL:            https://github.com/ovk/dotref
Source:         %{url}/archive/v%{version}/dotref-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)

%global _description %{expand:
dotref is a simple tool to manage dotfiles across multiple devices.}

%description %_description

%package -n     python3-dotref
Summary:        %{summary}

%description -n python3-dotref %_description


%prep
%autosetup -p1 -n dotref-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files dotref
# Install shell completions
install -Dpm 0644 completions/completion.bash %{buildroot}%{bash_completions_dir}/dotref
install -Dpm 0644 completions/completion.fish %{buildroot}%{fish_completions_dir}/dotref.fish


%check
%pytest

%files -n python3-dotref -f %{pyproject_files}
%doc README.md
%{_bindir}/dotref
%{bash_completions_dir}/dotref
%{fish_completions_dir}/dotref.fish

%changelog
%autochangelog
